Subject: linux-libre-arm64-generic lacks CONFIG_CGROUP_FREEZER=y

From: Vitaliy Shatrov <[email-masked]>
Date: Fri, 28 Aug 2020 01:52:58 +0700

Hello Guix.

I:
   1. had linux-libre-arm64-generic as my kernel.
   2. added only (elogind-service-type) to my Guix System's config.
   3. ran `guix system reconfigure`.
   4. get some errors: "///sys/something/freezer cannot be something".
   5. rebooted, and were unable to log-in (get no prompt).

The issue was solved by using the same linux-libre-arm64-generic, but
customized: i set a 'CONFIG_CGROUP_FREEZER=y' in kconfig.

As this is only one config related to logind that not enabled, i want us
to have it enabled by default on linux-libre-arm64-generic, or as Vagrant
wrote on IRC, "added to gnu/packages/linux.scm: %default-extra-linux-options".

I need logind for sway WM to work.. and probably for other things.

Thanks.